- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.labsExperiments.executions/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.labsExperiments.executions/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.labsExperiments.executions/get#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.labsExperiments.executions/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.labsExperiments.executions/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.labsExperiments.executions/get#body.aspect_1)

**Full name**: projects.locations.instances.labsExperiments.executions.get

Gets a single LabsExperimentExecution by its resource name. Use this method to retrieve the results, state, and history of a specific interaction with an experimental feature.

### HTTP request

`GET https://{endpoint}/v1beta/{name}`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The full resource name of the LabsExperimentExecution to retrieve. Format: projects/{project}/locations/{location}/instances/{instance}/labsExperiments/{labsExperiment}/executions/{execution} |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.labsExperiments.executions#LabsExperimentExecution`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `chronicle.labsExperimentExecutions.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).